Subject: Re: bug#53352: 29.0.50; IMAP INBOX not refreshing using `gnus-group-get-new-news'

From: Michael Welsh Duggan <[email-masked]>
Date: Mon, 24 Jan 2022 13:06:44 -0500

Eric Abrahamsen <[email-masked]> writes:

> On 01/24/22 17:34 PM, Andreas Schwab wrote:
>> On Jan 24 2022, Michael Welsh Duggan wrote:
>>
>>> This appears to be happening in `gnus-get-unread-articles' in the
>>> initial `let*'.  "INBOX" is the car of `gnus-newsrc-alist', and `newsrc'
>>> is explicitly set to the cdr of that list.
>>
>> The first element of gnus-newsrc-alist is supposed to be the
>> dummy.group, but that doesn't appear to be the case any more.  Can this
>> be related to commit a09306d53b?
>
> Yup, looks like that's the problem. After the first time you save Gnus,
> `gnus-newsrc-alist' has been redefined to exclude "dummy.group". It
> should be easy to fix -- I'll move the sorting and exclusion into the
> `let', which will preserve the variable's original value.

To be clear, would this mean I need to add "dummy.group" to my
`gnus-newsrc-alist' after you make this change, or will the change
obviate the need for the dummy entry?  If the former, would you please
verify the form I need to prepend to the alist?  Is it just the
"dummy.group" string?

-- 
Michael Welsh Duggan
([email-masked])